Package dev.plex.listener.impl

# Class BanListener

java.lang.Object
dev.plex.listener.PlexListener
dev.plex.listener.impl.BanListener

All Implemented Interfaces:
  `PlexBase`, `org.bukkit.event.Listener`

public class BanListener extends PlexListener

## Field Summary

### Fields inherited from interface dev.plex.PlexBase

`plugin`

## Constructor Summary

Constructors
Constructor
Description
`BanListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onPreLogin(org.bukkit.event.player.AsyncPlayerPreLoginEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BanListener

public BanListener()

## Method Details

### onPreLogin

public void onPreLogin(org.bukkit.event.player.AsyncPlayerPreLoginEvent event)